package com.qmth.teachcloud.eds.job.service.impl;

import com.qmth.teachcloud.eds.job.service.JobService;
import com.qmth.teachcloud.eds.service.GdpuService;
import com.qmth.teachcloud.eds.service.StudentScoreService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * job service impl
 */
@Service
public class JobServiceImpl implements JobService {
    private final static Logger log = LoggerFactory.getLogger(JobServiceImpl.class);

    @Resource
    private GdpuService gdpuService;
    @Resource
    private StudentScoreService studentScoreService;

    /**
     * 广东药科大学数据同步
     */
    @Override
    public void syncGdpuData() {
        // 主题数据学生信息
        gdpuService.syncZtXsxx();
        // 机构代码表
        gdpuService.syncJwxtJgdmb();
        // 教务系统系、教研室主任表
        gdpuService.syncJwxtJyzr();
        // 教职工信息表
        gdpuService.syncJwxtJzgxxb();
        // 课程信息表
        gdpuService.syncJwxtKcdmb();
    }

    @Override
    public void syncStudentScore() {
        studentScoreService.syncStudentSocre();
    }
}
